declare function quasar2(): {
    uiName: string;
    map: ({
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                description_zh: string;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "skip-hijack": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hijack-filter": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            exact: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "exact-active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: ({
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        } | {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required?: undefined;
        })[];
        props: {
            round: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            percentage: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dark-percentage": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-right": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                addedIn: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fab: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fab-mini": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-wrap": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            align: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stack: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            split: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dropdown-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "disable-main-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "disable-dropdown": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-icon-animation": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            cover: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-anchor": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-self": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":menu-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-right": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                addedIn: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fab: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fab-mini": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-wrap": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            align: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stack: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            ":options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "toggle-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "toggle-text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            spread: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-wrap": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            stack: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "control-color": {
                type: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description: string;
                description_zh: string;
            };
            "control-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "control-type": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            autoplay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            arrows: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "prev-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "next-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            navigation: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "navigation-active-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            thumbnails: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-prev": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __delete: string[];
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "transition-next": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __delete: string[];
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-include": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-exclude": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            animated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            infinite: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            swipeable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            fullscreen: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-fullscreen-exit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "checked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "unchecked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "indeterminate-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            val: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "true-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "false-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "indeterminate-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-order": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-indeterminate": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-right": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-remove": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            selected: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clickable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            removable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "remove-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            "default-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-view": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "format-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":palette": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-header": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-header-tabs": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "no-footer": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            subtitle: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-year-month": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mask: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-view": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "years-in-month-view": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            events: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "event-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            options: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-min-year-month": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-max-year-month": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-unset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "first-day-of-week": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "today-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            minimal: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            range: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "emit-immediately": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            landscape: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":locale": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            calendar: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-esc-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-backdrop-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            seamless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "backdrop-filter": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            maximized: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "full-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "full-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-refocus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-shake": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "allow-focus-outside": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __runtimeDefault: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __runtimeDefault: boolean;
                extends: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            side: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            overlay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            width: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mini: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "mini-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "mini-to-overlay": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-mini-animation": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            breakpoint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            behavior: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            elevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "show-if-above": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-swipe-open": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-swipe-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-swipe-backdrop": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "min-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":definitions": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":fonts": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":toolbar": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "toolbar-text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "toolbar-toggle-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-bg": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-outline": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-push": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-rounded": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "paragraph-tag": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            placeholder: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fullscreen: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-fullscreen-exit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "expand-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "expanded-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "expand-icon-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-lines": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            caption: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "caption-lines": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "header-inset-level": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-inset-level": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "expand-separator": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-opened": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-expand-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "expand-icon-toggle": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "switch-toggle-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dense-toggle": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            group: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            popup: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "header-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "header-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            exact: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "exact-active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "active-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "hide-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            direction: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "vertical-actions-align": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "external-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "external-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: ({
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            paams?: undefined;
        } | {
            name: string;
            description: string;
            description_zh: string;
            paams: string;
            value: string;
            params?: undefined;
        })[];
        props: {
            maxlength: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                examples: string[];
                addedIn: string;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            append: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "display-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "use-chips": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "counter-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            accept: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            capture: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-file-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-total-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-files": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            reveal: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            elevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "height-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: ({
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required?: undefined;
        } | {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        })[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-error-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-reset-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            greedy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: never[];
        props: {};
        link: string;
        link_zh: string;
        slots: never[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            src: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            srcset: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            sizes: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "placeholder-src": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "error-src": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            ratio: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "initial-ratio": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            width: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "loading-show-delay": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            crossorigin: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            decoding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            referrerpolicy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fetchpriority: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            fit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            alt: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            draggable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "img-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":img-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "spinner-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "spinner-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "no-spinner": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-native-menu": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-transition": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        }[];
        props: {
            offset: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            debounce: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "initial-index": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            "shadow-text": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            debounce: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            maxlength: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            autogrow: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mask: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fill-mask": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "reverse-fill-mask": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "unmasked-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            once: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "ssr-prerender": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            root: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            margin: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            threshold: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            transition: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                category: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            active: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            clickable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "inset-level": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            "manual-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            focused: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            exact: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "exact-active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inner-min": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            step: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "instant-feedback": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "center-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "font-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            thickness: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            angle: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "show-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            view: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            container: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            fit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            cover: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            self: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "touch-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separate-close-popup": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-refocus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "max-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "context-menu": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            ":options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "option-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "option-disable": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            inline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: never[];
        props: {};
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "scroll-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            expand: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            input: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-prev": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-next": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-first": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-last": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "to-fn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "boundary-links": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "boundary-numbers": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "direction-links": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ellipses: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-pages": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "active-design": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "active-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                description_zh: string;
            };
            "active-text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            round: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            gutter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            src: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            speed: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            buttons: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-set": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-cancel": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-save": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            validate: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            fit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            cover: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            self: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "touch-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separate-close-popup": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
                passthrough: boolean;
            };
            "max-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
                passthrough: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                passthrough: boolean;
            };
            breakpoint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "context-menu": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        }[];
        props: {
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "no-mouse": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            val: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "checked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "unchecked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                definition: {
                    min: {
                        type: string[];
                        desc: string;
                    };
                    max: {
                        type: string[];
                        desc: string;
                    };
                };
                examples: string[];
            };
            "drag-range": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "drag-only-range": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "left-label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "right-label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "right-label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "left-label-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "right-label-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "right-thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inner-min": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            step: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            snap: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "inner-track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "selection-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "selection-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "switch-label-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "label-always": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            markers: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "marker-labels": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "marker-labels-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "switch-marker-labels-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "track-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "thumb-path": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-half": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "color-selected": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "color-half": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "no-dimming": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-reset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            debounce: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            ":vertical-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            ":horizontal-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "bar-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "vertical-bar-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "horizontal-bar-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":thumb-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":vertical-thumb-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":horizontal-thumb-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-active-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            visible: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            delay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "display-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "display-value-html": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            ":options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-disable": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-dropdown-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dropdown-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "max-values": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "options-dense": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "options-dark": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "options-selected-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "options-html": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "options-cover": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-shrink": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-anchor": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-self": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":menu-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "popup-content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "popup-content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "popup-no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "use-chips": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "use-input": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            maxlength: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fill-input": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "new-value-mode": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "map-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "disable-tab-selection": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "emit-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-debounce": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autocomplete: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                passthrough: string;
                category: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                passthrough: string;
                category: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            behavior: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-item-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-horizontal": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-before": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-after": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-start": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-end": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-colspan": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "left-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "right-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "top-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "bottom-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            "label-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inner-min": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            step: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            snap: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "inner-track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "selection-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "selection-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "switch-label-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "label-always": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            markers: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "marker-labels": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "marker-labels-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "switch-marker-labels-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "track-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "thumb-path": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            appear: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "emit-immediately": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            horizontal: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":limits": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "before-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "after-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separator-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separator-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                category: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            caption: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "done-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "done-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "active-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "active-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "error-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "error-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "header-nav": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            done: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            error: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            alert: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "alert-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":rows": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "row-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                passthrough: string;
            };
            "virtual-scroll-slice-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-before": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-after": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-item-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-start": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-end": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-colspan": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "icon-first-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "icon-prev-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "icon-next-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "icon-last-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            grid: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "grid-header": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            ":columns": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":visible-columns": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-header": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-selected-banner": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-no-data": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-pagination": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            separator: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "wrap-cells": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "binary-state-sort": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "column-sort-order": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-data-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-results-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "loading-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "selected-rows-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "rows-per-page-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "pagination-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-header-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-header-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-container-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-container-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "title-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "filter-method": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":pagination": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":rows-per-page-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            selection: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":expanded": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "sort-method": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fullscreen: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-fullscreen-exit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-include": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-exclude": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            animated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            infinite: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            swipeable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-prev": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "transition-next": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "outside-arrows": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "mobile-arrows": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            align: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            breakpoint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "active-bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "indicator-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "left-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "right-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            shrink: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "switch-indicator": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "narrow-indicator": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inline-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    } | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":props": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            format24h: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-date": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mask: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            options: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":hour-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":minute-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":second-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "with-seconds": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "now-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            landscape: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":locale": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            calendar: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "checked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "unchecked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "indeterminate-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            val: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "true-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "false-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "indeterminate-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-order": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-indeterminate": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "max-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            self: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            delay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-delay": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-parent-event": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":nodes": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "node-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "children-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-connectors": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "control-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "selected-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                addedIn: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "tick-strategy": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":ticked": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":expanded": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            selected: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-selection-unset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "default-expand-all": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            accordion: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-transition": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "filter-method": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-nodes-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-results-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-thumbnails": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-upload": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-upload-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "thumbnail-fit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            accept: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            capture: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-file-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-total-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-files": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            factory: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            url: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            method: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "field-name": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            headers: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "form-fields": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "with-credentials": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "send-raw": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            batch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    } | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":items": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "items-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "items-fn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "virtual-scroll-horizontal": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-before": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-after": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-item-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-start": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-end": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-colspan": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[];
    lib: string;
    prefix: string;
};
declare function quasar2Components(): {
    map: ((string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                description_zh: string;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "skip-hijack": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hijack-filter": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            exact: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "exact-active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: ({
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        } | {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required?: undefined;
        })[];
        props: {
            round: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            percentage: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dark-percentage": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-right": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                addedIn: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fab: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fab-mini": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-wrap": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            align: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stack: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            split: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dropdown-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "disable-main-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "disable-dropdown": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-icon-animation": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            cover: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-anchor": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-self": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":menu-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-right": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                addedIn: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fab: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fab-mini": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-wrap": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            align: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stack: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            ":options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "toggle-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "toggle-text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            spread: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-wrap": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            stack: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "control-color": {
                type: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description: string;
                description_zh: string;
            };
            "control-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "control-type": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            autoplay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            arrows: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "prev-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "next-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            navigation: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "navigation-active-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            thumbnails: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-prev": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __delete: string[];
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "transition-next": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __delete: string[];
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-include": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-exclude": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            animated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            infinite: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            swipeable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            fullscreen: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-fullscreen-exit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "checked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "unchecked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "indeterminate-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            val: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "true-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "false-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "indeterminate-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-order": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-indeterminate": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-right": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-remove": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            selected: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clickable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            removable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "remove-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            "default-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-view": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "format-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":palette": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-header": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-header-tabs": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "no-footer": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            subtitle: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-year-month": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mask: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-view": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "years-in-month-view": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            events: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "event-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            options: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-min-year-month": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "navigation-max-year-month": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-unset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "first-day-of-week": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "today-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            minimal: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            range: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "emit-immediately": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            landscape: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":locale": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            calendar: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-esc-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-backdrop-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            seamless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "backdrop-filter": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            maximized: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "full-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "full-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-refocus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-shake": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "allow-focus-outside": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __runtimeDefault: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                __runtimeDefault: boolean;
                extends: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            side: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            overlay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            width: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mini: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "mini-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "mini-to-overlay": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-mini-animation": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            breakpoint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            behavior: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            elevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "show-if-above": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-swipe-open": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-swipe-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-swipe-backdrop": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "min-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":definitions": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":fonts": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":toolbar": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "toolbar-text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "toolbar-toggle-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-bg": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-outline": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-push": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toolbar-rounded": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "paragraph-tag": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            placeholder: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fullscreen: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-fullscreen-exit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "expand-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "expanded-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "expand-icon-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-lines": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            caption: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "caption-lines": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "header-inset-level": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-inset-level": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "expand-separator": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-opened": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-expand-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "expand-icon-toggle": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "switch-toggle-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dense-toggle": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            group: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            popup: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "header-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "header-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            exact: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "exact-active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "active-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "hide-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            direction: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "vertical-actions-align": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "external-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "external-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: ({
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            paams?: undefined;
        } | {
            name: string;
            description: string;
            description_zh: string;
            paams: string;
            value: string;
            params?: undefined;
        })[];
        props: {
            maxlength: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                examples: string[];
                addedIn: string;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            append: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "display-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "use-chips": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "counter-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            accept: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            capture: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-file-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-total-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-files": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            reveal: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            elevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "height-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: ({
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required?: undefined;
        } | {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        })[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-error-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-reset-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            greedy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: never[];
        props: {};
        link: string;
        link_zh: string;
        slots: never[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            src: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            srcset: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            sizes: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "placeholder-src": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "error-src": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            ratio: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "initial-ratio": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            width: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "loading-show-delay": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            crossorigin: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            decoding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            referrerpolicy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fetchpriority: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            fit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            alt: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            draggable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "img-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":img-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "spinner-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "spinner-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "no-spinner": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-native-menu": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-transition": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        }[];
        props: {
            offset: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            debounce: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "initial-index": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            "shadow-text": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            debounce: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            maxlength: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            autogrow: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mask: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fill-mask": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "reverse-fill-mask": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "unmasked-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            once: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "ssr-prerender": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            root: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            margin: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            threshold: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            transition: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                category: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            active: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            clickable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "inset-level": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tag: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            "manual-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            focused: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            to: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            exact: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            replace: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "exact-active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            href: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inner-min": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            step: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "instant-feedback": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "center-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                description_zh: string;
            };
            "font-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            thickness: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            angle: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "show-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            view: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            container: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            fit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            cover: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            self: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "touch-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-close": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separate-close-popup": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-refocus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-focus": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "max-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "context-menu": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            ":options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "option-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "option-disable": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            inline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: never[];
        props: {};
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "scroll-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            position: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            expand: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            input: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-prev": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-next": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-first": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "icon-last": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "to-fn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "boundary-links": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "boundary-numbers": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "direction-links": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ellipses: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-pages": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outline: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unelevated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            push: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "active-design": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "active-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                description_zh: string;
            };
            "active-text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            round: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            glossy: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            gutter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            padding: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            src: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            height: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            speed: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            buttons: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-set": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-cancel": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-save": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            validate: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            fit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            cover: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            self: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "touch-position": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separate-close-popup": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
                passthrough: boolean;
            };
            "max-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
                passthrough: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            params: string;
            description: string;
            value: string;
            description_zh: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                passthrough: boolean;
            };
            breakpoint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "context-menu": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
            required: boolean;
        }[];
        props: {
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "no-mouse": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            val: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "checked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "unchecked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                definition: {
                    min: {
                        type: string[];
                        desc: string;
                    };
                    max: {
                        type: string[];
                        desc: string;
                    };
                };
                examples: string[];
            };
            "drag-range": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "drag-only-range": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "left-label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "right-label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "right-label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "left-label-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "right-label-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "right-thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inner-min": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            step: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            snap: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "inner-track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "selection-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "selection-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "switch-label-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "label-always": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            markers: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "marker-labels": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "marker-labels-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "switch-marker-labels-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "track-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                description_zh: string;
            };
            "thumb-path": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-half": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-aria-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "color-selected": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "color-half": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "no-dimming": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-reset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            size: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            debounce: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: never[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            ":vertical-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            ":horizontal-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "bar-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "vertical-bar-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "horizontal-bar-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":thumb-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":vertical-thumb-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":horizontal-thumb-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-active-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            visible: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            delay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "display-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "display-value-html": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            ":options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "option-disable": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-dropdown-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "dropdown-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "max-values": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "options-dense": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "options-dark": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "options-selected-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "options-html": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "options-cover": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-shrink": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-anchor": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "menu-self": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":menu-offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "popup-content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "popup-content-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "popup-no-route-dismiss": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "use-chips": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "use-input": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            maxlength: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "fill-input": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "new-value-mode": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "map-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "disable-tab-selection": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "emit-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-debounce": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "input-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autocomplete: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                passthrough: string;
                category: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                passthrough: string;
                category: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            behavior: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-item-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-horizontal": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-before": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-after": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-start": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-end": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-colspan": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "stack-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            hint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-hint": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            suffix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            clearable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "clear-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filled: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            outlined: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            borderless: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            standout: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-slot": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "bottom-slots": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom-space": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            counter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            rounded: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "item-aligned": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            autofocus: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            for: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "left-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "right-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "top-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "bottom-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            appear: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            "label-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            min: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            max: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inner-min": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            step: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            snap: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "inner-track-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "inner-track-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "selection-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "selection-img": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "label-text-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "switch-label-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "label-always": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            markers: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "marker-labels": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "marker-labels-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "switch-marker-labels-side": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "track-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "thumb-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "thumb-path": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            reverse: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            unit: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "emit-immediately": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            horizontal: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":limits": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "before-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "after-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separator-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "separator-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                category: string;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            caption: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            prefix: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "done-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "done-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "active-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "active-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "error-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "error-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "header-nav": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            done: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            error: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            alert: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "alert-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            name: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ripple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-include": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-exclude": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "keep-alive-max": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            animated: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            infinite: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            swipeable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-prev": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "transition-next": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                __runtimeDefault: boolean;
                category: string;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":rows": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "row-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                passthrough: string;
            };
            "virtual-scroll-slice-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-before": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-after": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-item-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-start": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-end": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-colspan": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "icon-first-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "icon-prev-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "icon-next-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            "icon-last-page": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            grid: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "grid-header": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
            };
            ":columns": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":visible-columns": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            loading: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            title: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-header": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-bottom": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-selected-banner": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-no-data": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-pagination": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            separator: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "wrap-cells": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "binary-state-sort": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "column-sort-order": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-data-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-results-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "loading-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "selected-rows-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "rows-per-page-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "pagination-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-header-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-header-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-container-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-container-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-style": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "card-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "title-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "filter-method": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":pagination": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":rows-per-page-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            selection: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":selected": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":expanded": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "sort-method": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            fullscreen: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-route-fullscreen-exit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            vertical: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "outside-arrows": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "mobile-arrows": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            align: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            breakpoint: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "active-bg-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "indicator-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "content-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "active-class": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "left-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "right-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            stretch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            shrink: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "switch-indicator": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "narrow-indicator": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "inline-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-caps": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
        suggestions: string[];
    })[] | (string | {
        name: string;
        methods: never[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":props": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                examples: string[];
            };
            format24h: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "default-date": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            mask: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            options: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":hour-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":minute-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":second-options": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "with-seconds": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "now-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            landscape: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":locale": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            calendar: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "checked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "unchecked-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "indeterminate-icon": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "icon-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            ":v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                examples: string[];
            };
            val: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "true-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "false-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "indeterminate-value": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-order": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "toggle-indeterminate": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "left-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "keep-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            tabindex: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            "max-height": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "max-width": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
                desc: string;
                category: string;
            };
            "transition-show": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "transition-hide": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            anchor: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            self: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":offset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            delay: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-delay": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            persistent: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "v-model": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            target: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-parent-event": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "transition-duration": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            ":nodes": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "node-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "label-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "children-key": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-connectors": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "control-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "selected-color": {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            dense: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
                extends: string;
                addedIn: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            icon: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "tick-strategy": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":ticked": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":expanded": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            selected: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-selection-unset": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            "default-expand-all": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            accordion: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-transition": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "filter-method": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            duration: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-nodes-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "no-results-label": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            label: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            color: {
                type: string;
                description: string;
                value: string;
                default: string;
                extends: string;
                desc: string;
                category: string;
                addedIn: string;
                __runtimeDefault: boolean;
                examples: string[];
                description_zh: string;
            };
            "text-color": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            dark: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            square: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            flat: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            bordered: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "no-thumbnails": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "auto-upload": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "hide-upload-btn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "thumbnail-fit": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                version: string;
                required: boolean;
            };
            disable: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            readonly: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            multiple: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            accept: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            capture: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-file-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-total-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "max-files": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            filter: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            factory: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            url: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            method: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "field-name": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            headers: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "form-fields": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "with-credentials": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "send-raw": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            batch: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[] | (string | {
        name: string;
        methods: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        events: {
            name: string;
            description: string;
            description_zh: string;
            params: string;
            value: string;
        }[];
        props: {
            type: {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            ":items": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "items-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "items-fn": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "scroll-target": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
                extends: string;
            };
            "virtual-scroll-horizontal": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-before": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-slice-ratio-after": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-item-size": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-start": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "virtual-scroll-sticky-size-end": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
            "table-colspan": {
                value: string;
                type: string;
                description: string;
                description_zh: string;
                default: string;
                required: boolean;
            };
        };
        link: string;
        link_zh: string;
        slots: {
            name: string;
            description: string;
            description_zh: string;
        }[];
    })[])[];
    isSeperatorByHyphen: boolean;
    prefix: string;
    lib: string;
    isReact: boolean;
};

export { quasar2, quasar2Components };
